Bug 32230 - g77 does not handle #line flags properly
Summary: g77 does not handle #line flags properly
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-19 15:20 UTC by Pawel Salek
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-21 12:40:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
t.f (175 bytes, text/plain)
2001-03-19 15:21 UTC, Pawel Salek
no flags Details

Description Pawel Salek 2001-03-19 15:20:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.17-14 i686; en-US; Galeon)
Gecko/20010129


g77 from gcc-g77-2.96-75 ignores fortran variable declarations when
interleaved with #line cpp generated constructions.


Reproducible: Always
Steps to Reproduce:
1. g77 f.f
where f.f is the attached program.

It is enough to remove cpp-generated #line directives from the code to make
the program compile

Actual Results:  ../tmp.F:3:
         ANTI = .FALSE.
         1      2
Type disagreement between expressions at (1) and (2)


Expected Results:  Silient, error-free compilation.

Comment 1 Pawel Salek 2001-03-19 15:21:55 UTC
Created attachment 12983 [details]
t.f

Comment 2 Jakub Jelinek 2001-03-21 12:40:17 UTC
This has been broken also e.g. in egcs 1.1.2, gcc 2.95.x, gcc-3_0-branch and
gcc-3_1-branch.
Anyway, I've fixed this in:
http://gcc.gnu.org/ml/gcc-patches/2001-03/msg01512.html
and the fix will appear in the next gcc-f77 build.

Comment 3 Jakub Jelinek 2001-03-30 10:25:50 UTC
The fix is in gcc-g77-2.96-80.


Note You need to log in before you can comment on or make changes to this bug.